bftsmart.tom

## Class ReplicaContext

- java.lang.Object
- - bftsmart.tom.ReplicaContext

    public class ReplicaContext
    extends java.lang.Object

This class contains information related to the replica.

### Constructor Summary

Constructors
Constructor and Description
`ReplicaContext(bftsmart.communication.ServerCommunicationSystem cs, bftsmart.reconfiguration.ServerViewController SVController)`

### Method Summary

All Methods Instance Methods Concrete Methods
`bftsmart.reconfiguration.views.View` `getCurrentView()` Returns the current view of the replica group.
`bftsmart.communication.ServerCommunicationSystem` `getServerCommunicationSystem()`
`bftsmart.reconfiguration.util.TOMConfiguration` `getStaticConfiguration()` Returns the static configuration of this replica.
`bftsmart.reconfiguration.ServerViewController` `getSVController()` Returns the controller of the replica's view
`void` `setServerCommunicationSystem(bftsmart.communication.ServerCommunicationSystem cs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplicaContext

    public ReplicaContext(bftsmart.communication.ServerCommunicationSystem cs,
                          bftsmart.reconfiguration.ServerViewController SVController)

### Method Detail

#### getSVController

    public bftsmart.reconfiguration.ServerViewController getSVController()

Returns the controller of the replica's view

Returns:
  The controller of the replica's view

#### getStaticConfiguration

    public bftsmart.reconfiguration.util.TOMConfiguration getStaticConfiguration()

Returns the static configuration of this replica.

Returns:
  the static configuration of this replica

#### getCurrentView

    public bftsmart.reconfiguration.views.View getCurrentView()

Returns the current view of the replica group.

Returns:
  the current view of the replica group.

#### getServerCommunicationSystem

    public bftsmart.communication.ServerCommunicationSystem getServerCommunicationSystem()

#### setServerCommunicationSystem

    public void setServerCommunicationSystem(bftsmart.communication.ServerCommunicationSystem cs)